#!/bin/bash

# Pour créer la config sur une nouvelle machine

cd ~
test -d .myconfig && echo ".myconfig existe" && exit 1
git clone ssh://cerebro.crans.org/git/fichiers_configuration_branchperso.git .myconfig

cd .myconfig
git checkout perso
cd ..

for fichier in .bashrc .bash_aliases .gitconfig .nanorc .screenrc .vimrc .umaskrc .ssh/config;
do
    rm -i ~/${fichier}
    ln -s ~/.myconfig/${fichier} ~/${fichier}
done
