#!/bin/bash

# Script pour vérifier que je suis bien abonné à tous mes dossiers

# Appelé par Cron, enverra par mail le diff entre les abonnements
# et les dossiers existants

# Appelé avec "apply" en premier paramètre, abonne à tous les dossiers présents

MAILDIR=~/Mail

cd $MAILDIR
diff -u <(cat subscriptions | sort) <(find . -maxdepth 1 -mindepth 1 -type d | sort | sed 's/^...//')

if [[ "$1" = *"apply"* ]]
then
    find . -maxdepth 1 -mindepth 1 -type d | sort | sed 's/^...//' > subscriptions
    echo
    echo "** APPLIED **"
fi
